// File: closure-inclusion-relation.c   Section: 12.4 Inclusion Relation
//      Copyright 1994, Center for Computer Vision and Visualization,
//      University of Florida.  All rights reserved.


#include "inclusion-relation.h"

int main() {

    IA_Image<IA_Point<int>,u_char>
	udi_a( IA_Image<IA_Point<int>,u_char>::read_PGM( cin ) );

    IA_Image<IA_Point<int>,int>
	idi_a( udi_a );

    inclusion_relation( udi_a );
    inclusion_relation( idi_a );

    exit( 0 );
}
